Attribute VB_Name = "Module6"
Sub CopyOneDeviceGcodeAtCurrentSheet()
Attribute CopyOneDeviceGcodeAtCurrentSheet.VB_Description = " Ctrl Shift + O    Copies Long version of a single\n Device @ current Device Sheet   Module6"
Attribute CopyOneDeviceGcodeAtCurrentSheet.VB_ProcData.VB_Invoke_Func = "O\n14"
'
' Ctrl Shift + O    Copies Long version of a single
' Device @ current Device Sheet   Module6
'
    Dim RowStart As Integer    'First Row location of Device Gcode lines
    Dim RowEnd As Integer    'Last Row location of Device Gcode lines
    Dim ColStart As Integer  'First Column location of Device Gcode lines
    Dim ColEnd As Integer    'Last Column location of Device Gcode lines

    RowStart = Range("E4")  'First Row location of Device Gcode lines
    ColStart = Range("E7")  'First Column location of Device Gcode lines
    RowEnd = Range("H5")    'Last Row location of Device Gcode lines
    ColEnd = Range("E7")    'Last Column location of Device Gcode lines
    
    Dim Coladd As String   'This allows for column letters to go beyond Z, upto BZ.
    If ColStart > 52 Then
        Coladd = ("B" & Chr(ColStart + 64 - 52))
    ElseIf ColStart > 26 Then
        Coladd = ("A" & Chr(ColStart + 64 - 26))
    Else:
        Coladd = Chr(ColStart + 64)
    End If
    
    Range(Coladd & RowStart & ":" & Coladd & RowEnd).Select  ' this selects the single device Gcode (long comments)
 
    Selection.Copy  'makes a copy available to paste into any application, i.e. Word, Notepad, Gcode simulator, etc.




    
End Sub
